# JIRA issue status report app

This is a lightweight application to help me track the time I spend
on JIRA tickets.

## Setup

This runs as a CGI(!). To use it, create a project directory for a set of JIRA
issues. Make sure that project directory is served under a `DOCUMENT_ROOT` for
an Apache host, or some other CGI-compatible HTTP server. Then,
initialize that directory as a new npm package, and install `issue-report`
as a dependency.

For example:

```
mkdir my-project && cd my-project
npm init -f
npm install @klortho/issue-report
export PATH=`pwd`/node_modules/.bin:$PATH
issue-report init
```

This will create a new template issues.yaml file. To generate an HTML report
from that, run

```
issue-report
```

To see the report through a CGI, bring up the URL corresponding to that
directory in your browser.

Don't forget to put your project directory under Git:

```
echo 'node_modules/' > .gitignore
git init
git add .
git commit -m 'Initial commit'
```

## To do

+ Better output of durations; for example, "2w 3d 4h".
+ Show the dates on the estimate columns
+ Add "hours worked" column
+ Render notes, status, and child-of
+ Display a graph of hours worked and estimates / time.
+ Aggregate data from JIRA REST API - priority, etc.


